PUT /api/v3/parentPlace/{parentPlaceId}/meter

Move list of meters to be under parentPlaceId

MoveMeterV3 Permissions: Meters (Edit)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
parentPlaceId The identifier for the new parent place integer (int32) Required

Request Body

Array of:

Type: integer (int32)

Example Request Body application/json
[
  1
]

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

UpdateResult
Property Description Type
selected Required (defined) integer (int32)
updated Required (defined) integer (int32)
Example Response application/json
{  "selected": 1,  "updated": 1
}